comedi and rtai 3.1

Wolfgang Pichl pichl at ap.univie.ac.at
Tue Oct 5 17:46:41 CEST 2004


Hi,
I'm surprised that it works for you and apparently also for other people.
I have kernel 2.4.26, use RTAI-3.1, and tried comedi and comedilib
with adeos support from cvs in order to get comedi_lxrt to work.
Everything compiled well, I have the comedi drivers for my card and all
the modules you mentioned. The problem is: the module rtai_comedi_lxrt
does not load. Modprobe (and also 'depmod -a') complain about unresolved
symbols.

I know, I should check this in more detail, e.g. the origin of the
unresolved symbols, etc. However, for the present I gave it up when it
became clear that my DAQ application will not need LXRT. And I am now busy
writing a GUI frontend for my comedi application, which must be ready for use
within a few days. Maybe, I'll try to clarify the comedi_lxrt issue later.

best regards
Wolfgang

On Mon, 4 Oct 2004, Roberto Bucher wrote:

> I'm working for 1 year with 3.1 CVS-> 3.1 and comedi under kernel 2.4 and 2.6
> using the RTAI-Lab tool and the different blocks under Matlab/Simulink/RTW
> and under Scilab/Scicos/RTAICodeGen without problems.
>
> First of all you need the comedi CVS with support Adeos!
> As second step check which modules you loaded:
>
> You need:
> 1) comedi drivers
>
> 2) rtai_hal, rtai_lxrt, rtai_fifos, rtai_sem, rtai_mbx, rtai_msg,
> (rtai_netrpc),
>
> AND:
>
> 3) rtai_shm, rtai_comedi_lxrt, kcomedilib
>
> Roberto
>
> _______________________________________________
> RTAI mailing list
> RTAI at rtai.org
> https://mail.rtai.org/cgi-bin/mailman/listinfo/rtai
>






More information about the Rtai mailing list